function RToMerge=recexp(PotSetsHierarchy,ToMerge,Root);
RToMerge=ToMerge;
[NoUse,TheLine]=max(PotSetsHierarchy(:,1)==Root);
for i=2:3,
	if PotSetsHierarchy(TheLine,i)<0,
		RToMerge=recexp(PotSetsHierarchy,RToMerge,PotSetsHierarchy(TheLine,i));
	else
		RToMerge(PotSetsHierarchy(TheLine,i),1)=1;
	end
end
